Show / Hide Table of Contents

# Class RawPayload

An SeString Payload representing unhandled raw payload data. Mainly useful for constructing unhandled hardcoded payloads, or forwarding any unknown payloads without modification.

##### Inheritance

System.Object
Payload
RawPayload

##### Inherited Members

Payload.DataResolver
Payload.Dirty
Payload.Decode(BinaryReader)
Payload.Encode(Boolean)
Payload.START_BYTE
Payload.END_BYTE
Payload.GetInteger(BinaryReader)
Payload.MakeInteger(UInt32)
Payload.GetPackedIntegers(BinaryReader)
Payload.MakePackedInteger(UInt32, UInt32)
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Dalamud.Game.Text.SeStringHandling.Payloads

###### Assembly: Dalamud.dll

##### Syntax

    public class RawPayload : Payload

### Constructors

| Improve this Doc View Source

#### RawPayload(Byte[])

Initializes a new instance of the RawPayload class.

##### Declaration

    public RawPayload(byte[] data)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | data | The payload data.

### Properties

| Improve this Doc View Source

#### Data

Gets the entire payload byte sequence for this payload. The returned data is a clone and modifications will not be persisted.

##### Declaration

    [JsonIgnore]
    public byte[] Data { get; }

##### Property Value

Type | Description
--- | ---
System.Byte[] |

| Improve this Doc View Source

#### LinkTerminator

Gets a fixed Payload representing a common link-termination sequence, found in many payload chains.

##### Declaration

    public static RawPayload LinkTerminator { get; }

##### Property Value

Type | Description
--- | ---
RawPayload |

| Improve this Doc View Source

#### Type

Gets the type of this payload.

##### Declaration

    public override PayloadType Type { get; }

##### Property Value

Type | Description
--- | ---
PayloadType |

##### Overrides

Payload.Type

### Methods

| Improve this Doc View Source

#### DecodeImpl(BinaryReader, Int64)

Decodes a byte stream from the game into a payload object.

##### Declaration

    protected override void DecodeImpl(BinaryReader reader, long endOfStream)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IO.BinaryReader | reader | A BinaryReader containing at least all the data for this payload.
System.Int64 | endOfStream | The location holding the end of the data for this payload.

##### Overrides

Payload.DecodeImpl(BinaryReader, Int64)
| Improve this Doc View Source

#### EncodeImpl()

Encodes the internal state of this payload into a byte[] suitable for sending to in-game handlers such as the chat log.

##### Declaration

    protected override byte[] EncodeImpl()

##### Returns

Type | Description
--- | ---
System.Byte[] | Encoded binary payload data suitable for use with in-game handlers.

##### Overrides

Payload.EncodeImpl()
| Improve this Doc View Source

#### Equals(Object)

##### Declaration

    public override bool Equals(object obj)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Object | obj |

##### Returns

Type | Description
--- | ---
System.Boolean |

##### Overrides

System.Object.Equals(System.Object)
| Improve this Doc View Source

#### GetHashCode()

##### Declaration

    public override int GetHashCode()

##### Returns

Type | Description
--- | ---
System.Int32 |

##### Overrides

System.Object.GetHashCode()
| Improve this Doc View Source

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()